Retrieve a mail ID
1 min
GET
https://api.campaign.episerver.net/rest/{clientId}/mailid
Path Parameters
- clientIdstringrequiredDescription
Query Parameters
- MailingToUserIDinteger<int64>requiredDescriptionFormatint64
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonapplication/vnd.optivo.broadmail.v1+json
Responses
200
- RestMailId
- mailIdstringDescription
400
409
curl
curl --request GET \
--url 'https://api.campaign.episerver.net/rest/{clientId}/mailid?MailingToUserID=integer%3Cint64%3E' \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.campaign.episerver.net/rest/{clientId}/mailid?MailingToUserID=integer<int64>", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.campaign.episerver.net/rest/{clientId}/mailid?MailingToUserID=integer<int64>")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.campaign.episerver.net/rest/{clientId}/mailid?MailingToUserID=integer<int64>"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The mail ID information was retrieved successfully.
{
"mailId": ""
}400
// A valid mailingToUserId must be provided.
409
// The indicated mailingToUser ID is not assigned to the indicated client. Ensure that "clientId" and "mailingToUserId" are correct and that "mailingToUserId" is assigned to the indicated client.